Skip to main content
DELETE
/
cms
/
v3
/
blogs
/
posts
/
{objectId}
Delete a blog post
curl --request DELETE \
  --url https://api.hubapi.com/cms/v3/blogs/posts/{objectId} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.hubapi.com/cms/v3/blogs/posts/{objectId}"

headers = {"Authorization": "Bearer <token>"}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.hubapi.com/cms/v3/blogs/posts/{objectId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


This response has no body data.
{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

objectId
string
required

The ID of the blog post to delete.

Query Parameters

archived
boolean

Whether to return only results that have been archived.

Response

Last modified on March 30, 2026